MODULE T6;

FROM ioctl IMPORT ioctl, winsizePtr, TIOCGWINSZ,TIOCSWINSZ ;
IMPORT FIO, STextIO,NumberIO;

VAR 
    WsizePtr    : winsizePtr;
    result      : INTEGER;
    
BEGIN
    result := ioctl(FIO.StdOut,TIOCGWINSZ,WsizePtr);
    IF result = 0 THEN
        STextIO.WriteString ("appel OK")
    ELSE
        STextIO.WriteString ("Error!");
        STextIO.WriteLn;
    END;
    IF result = 0 THEN
        STextIO.WriteString ("taille de la fenêtre/écran :");
        STextIO.WriteLn;
        STextIO.WriteString(" Hauteur : ");
        NumberIO.WriteCard(WsizePtr^.ws_row, 5);
        STextIO.WriteLn;
        STextIO.WriteString(" Largeur : ");
        NumberIO.WriteCard(WsizePtr^.ws_col, 5);
        STextIO.WriteLn;
    END;
END T6.